create temporary table pgdump_restore_path(p text);
--
-- NOTE:
--
-- File paths need to be edited. Search for $$PATH$$ and
-- replace it with the path to the directory containing
-- the extracted data files.
--
-- Edit the following to match the path where the
-- tar archive has been extracted.
--
insert into pgdump_restore_path values('/tmp');

--
-- PostgreSQL database dump
--

SET client_encoding = 'UNICODE';
SET check_function_bodies = false;
SET client_min_messages = warning;

SET search_path = chatv3, pg_catalog;

ALTER TABLE ONLY chatv3.pjj_icons DROP CONSTRAINT userid;
ALTER TABLE ONLY chatv3.pjj_userrecent DROP CONSTRAINT userid;
ALTER TABLE ONLY chatv3.pjj_userfriends DROP CONSTRAINT userid;
ALTER TABLE ONLY chatv3.pjj_userbook DROP CONSTRAINT userid;
ALTER TABLE ONLY chatv3.pjj_factionassoc DROP CONSTRAINT userid;
ALTER TABLE ONLY chatv3.pjj_online DROP CONSTRAINT uid;
ALTER TABLE ONLY chatv3.pjj_userlist DROP CONSTRAINT uid;
ALTER TABLE ONLY chatv3.pjj_userassoc DROP CONSTRAINT uid;
ALTER TABLE ONLY chatv3.pjj_log DROP CONSTRAINT uid;
ALTER TABLE ONLY chatv3.pjj_ban DROP CONSTRAINT uid;
ALTER TABLE ONLY chatv3.pjj_chats DROP CONSTRAINT theme;
ALTER TABLE ONLY chatv3.pjj_symbols DROP CONSTRAINT symbols_chat;
ALTER TABLE ONLY chatv3.pjj_messages DROP CONSTRAINT rrcpt;
ALTER TABLE ONLY chatv3.pjj_replaces DROP CONSTRAINT replace_chatid;
ALTER TABLE ONLY chatv3.pjj_messages DROP CONSTRAINT rcpt;
ALTER TABLE ONLY chatv3.pjj_chats DROP CONSTRAINT parent;
ALTER TABLE ONLY chatv3.pjj_users DROP CONSTRAINT parent;
ALTER TABLE ONLY chatv3.pjj_log DROP CONSTRAINT log_channel;
ALTER TABLE ONLY chatv3.pjj_country_ips DROP CONSTRAINT ips_country;
ALTER TABLE ONLY chatv3.pjj_factionassoc DROP CONSTRAINT id;
ALTER TABLE ONLY chatv3.pjj_imageban DROP CONSTRAINT iban_user;
ALTER TABLE ONLY chatv3.pjj_imageban DROP CONSTRAINT iban_chat;
ALTER TABLE ONLY chatv3.pjj_userfriends DROP CONSTRAINT friend;
ALTER TABLE ONLY chatv3.pjj_icons DROP CONSTRAINT faction;
ALTER TABLE ONLY chatv3.pjj_application_forms DROP CONSTRAINT creator;
ALTER TABLE ONLY chatv3.pjj_themes DROP CONSTRAINT creator;
ALTER TABLE ONLY chatv3.pjj_userstates DROP CONSTRAINT chatstates_chat;
ALTER TABLE ONLY chatv3.pjj_ban DROP CONSTRAINT chatchat;
ALTER TABLE ONLY chatv3.pjj_application_forms DROP CONSTRAINT chat;
ALTER TABLE ONLY chatv3.pjj_chatsettings DROP CONSTRAINT chat;
ALTER TABLE ONLY chatv3.pjj_themes DROP CONSTRAINT chat;
ALTER TABLE ONLY chatv3.pjj_icons DROP CONSTRAINT chat;
ALTER TABLE ONLY chatv3.pjj_userrecent DROP CONSTRAINT chat;
ALTER TABLE ONLY chatv3.pjj_userbook DROP CONSTRAINT chat;
ALTER TABLE ONLY chatv3.pjj_userlist DROP CONSTRAINT chat;
ALTER TABLE ONLY chatv3.pjj_userassoc DROP CONSTRAINT chat;
ALTER TABLE ONLY chatv3.pjj_log_big DROP CONSTRAINT chat;
ALTER TABLE ONLY chatv3.pjj_log DROP CONSTRAINT chat;
ALTER TABLE ONLY chatv3.pjj_factions DROP CONSTRAINT chat;
ALTER TABLE ONLY chatv3.pjj_channels DROP CONSTRAINT chat;
ALTER TABLE ONLY chatv3.pjj_online DROP CONSTRAINT chat;
ALTER TABLE ONLY chatv3.pjj_users DROP CONSTRAINT chat;
ALTER TABLE ONLY chatv3.pjj_chats DROP CONSTRAINT category;
ALTER TABLE ONLY chatv3.pjj_ban DROP CONSTRAINT auth;
ALTER TABLE ONLY chatv3.pjj_messages DROP CONSTRAINT auth;
ALTER TABLE ONLY chatv3.pjj_image_meta DROP CONSTRAINT "$4";
ALTER TABLE ONLY chatv3.pjj_image_meta DROP CONSTRAINT "$3";
ALTER TABLE ONLY chatv3.pjj_image_meta DROP CONSTRAINT "$2";
ALTER TABLE ONLY chatv3.pjj_user_flags DROP CONSTRAINT "$2";
ALTER TABLE ONLY chatv3.pjj_image_meta DROP CONSTRAINT "$1";
ALTER TABLE ONLY chatv3.pjj_images DROP CONSTRAINT "$1";
ALTER TABLE ONLY chatv3.pjj_user_flags DROP CONSTRAINT "$1";
DROP INDEX chatv3.width_images;
DROP INDEX chatv3.users_unique;
DROP INDEX chatv3.users_country;
DROP INDEX chatv3.userid_userlist;
DROP INDEX chatv3.userid_userfriends;
DROP INDEX chatv3.userid_userbook;
DROP INDEX chatv3.userid_icons;
DROP INDEX chatv3.userid_factionassoc;
DROP INDEX chatv3.user_flags_user_id;
DROP INDEX chatv3.user_flags_chat_id;
DROP INDEX chatv3.uid_ban;
DROP INDEX chatv3.uid;
DROP INDEX chatv3.type_ban;
DROP INDEX chatv3.symbols_chat;
DROP INDEX chatv3.symbold_id;
DROP INDEX chatv3.sum_imagecache;
DROP INDEX chatv3.status_messages;
DROP INDEX chatv3.size_images;
DROP INDEX chatv3.replace_preg;
DROP INDEX chatv3.replace_chat;
DROP INDEX chatv3.realrecp_messages;
DROP INDEX chatv3.rating_userfriends;
DROP INDEX chatv3.posttime_userlist;
DROP INDEX chatv3.path_pjj_chats_index;
DROP INDEX chatv3.parent_pjj_users_index;
DROP INDEX chatv3.parent_chats;
DROP INDEX chatv3.order_categories;
DROP INDEX chatv3.names_name2;
DROP INDEX chatv3.meta_name_index;
DROP INDEX chatv3.meta_image_id_index;
DROP INDEX chatv3.log_channel;
DROP INDEX chatv3.log_big_channel;
DROP INDEX chatv3.ips_start;
DROP INDEX chatv3.ips_end;
DROP INDEX chatv3.ips_country;
DROP INDEX chatv3.id_users;
DROP INDEX chatv3.id_userassoc;
DROP INDEX chatv3.id_themes;
DROP INDEX chatv3.id_sessions;
DROP INDEX chatv3.id_messages;
DROP INDEX chatv3.id_log_big;
DROP INDEX chatv3.id_icons;
DROP INDEX chatv3.id_factions;
DROP INDEX chatv3.id_factionassoc;
DROP INDEX chatv3.id_cookies;
DROP INDEX chatv3.id_chats;
DROP INDEX chatv3.id_categories;
DROP INDEX chatv3.id_ban;
DROP INDEX chatv3.height_images;
DROP INDEX chatv3.friend_userfriends;
DROP INDEX chatv3.fki_creator;
DROP INDEX chatv3.fki_auth;
DROP INDEX chatv3.fki_;
DROP INDEX chatv3.creator_themes;
DROP INDEX chatv3.created_images;
DROP INDEX chatv3.country_id;
DROP INDEX chatv3.chat_userrecent;
DROP INDEX chatv3.chat_userlist;
DROP INDEX chatv3.chat_userbook;
DROP INDEX chatv3.chat_userassoc;
DROP INDEX chatv3.chat_themes;
DROP INDEX chatv3.chat_pjj_users_index;
DROP INDEX chatv3.chat_online;
DROP INDEX chatv3.chat_log_big;
DROP INDEX chatv3.chat_log;
DROP INDEX chatv3.chat_icons;
DROP INDEX chatv3.chat_factions;
DROP INDEX chatv3.chat_channels;
DROP INDEX chatv3.chat_ban;
DROP INDEX chatv3.category_pjj_chats_index;
DROP INDEX chatv3.author;
ALTER TABLE ONLY chatv3.pjj_userfriends DROP CONSTRAINT userfriends_pkey;
ALTER TABLE ONLY chatv3.pjj_userbook DROP CONSTRAINT pkey_userbook;
ALTER TABLE ONLY chatv3.pjj_userstates DROP CONSTRAINT pjj_userstates_pkey;
ALTER TABLE ONLY chatv3.pjj_users DROP CONSTRAINT pjj_users_pkey;
ALTER TABLE ONLY chatv3.pjj_userrecent DROP CONSTRAINT pjj_userrecent_pkey;
ALTER TABLE ONLY chatv3.pjj_userassoc DROP CONSTRAINT pjj_userassoc_pkey;
ALTER TABLE ONLY chatv3.pjj_user_flags DROP CONSTRAINT pjj_user_flags_pkey;
ALTER TABLE ONLY chatv3.pjj_symbols DROP CONSTRAINT pjj_symbols_pkey;
ALTER TABLE ONLY chatv3.pjj_replaces DROP CONSTRAINT pjj_replaces_pkey;
ALTER TABLE ONLY chatv3.pjj_online DROP CONSTRAINT pjj_online_pkey;
ALTER TABLE ONLY chatv3.pjj_mime_types DROP CONSTRAINT pjj_mime_types_pkey;
ALTER TABLE ONLY chatv3.pjj_mime_types DROP CONSTRAINT pjj_mime_types_mime_type_key;
ALTER TABLE ONLY chatv3.pjj_messages DROP CONSTRAINT pjj_messages_pkey;
ALTER TABLE ONLY chatv3.pjj_log DROP CONSTRAINT pjj_log_pkey;
ALTER TABLE ONLY chatv3.pjj_images DROP CONSTRAINT pjj_images_hash_key;
ALTER TABLE ONLY chatv3.pjj_imagecache DROP CONSTRAINT pjj_imagecache_pkey;
ALTER TABLE ONLY chatv3.pjj_imageban DROP CONSTRAINT pjj_imageban_pkey;
ALTER TABLE ONLY chatv3.pjj_image_meta DROP CONSTRAINT pjj_image_meta_pkey;
ALTER TABLE ONLY chatv3.pjj_factions DROP CONSTRAINT pjj_factions_pkey;
ALTER TABLE ONLY chatv3.pjj_country_names DROP CONSTRAINT pjj_country_names_pkey;
ALTER TABLE ONLY chatv3.pjj_country_ips DROP CONSTRAINT pjj_country_ips_pkey;
ALTER TABLE ONLY chatv3.pjj_cookies DROP CONSTRAINT pjj_cookies_pkey;
ALTER TABLE ONLY chatv3.pjj_chatsettings DROP CONSTRAINT pjj_chatsettings_pkey;
ALTER TABLE ONLY chatv3.pjj_chats DROP CONSTRAINT pjj_chats_pkey;
ALTER TABLE ONLY chatv3.pjj_channels DROP CONSTRAINT pjj_channels_pkey;
ALTER TABLE ONLY chatv3.pjj_categories DROP CONSTRAINT pjj_categories_pkey;
ALTER TABLE ONLY chatv3.pjj_ban DROP CONSTRAINT pjj_ban_pkey;
ALTER TABLE ONLY chatv3.pjj_application_forms DROP CONSTRAINT pjj_appplication_forms_pkey;
ALTER TABLE ONLY chatv3.pjj_application_forms DROP CONSTRAINT pjj_appplication_forms_chat_key;
ALTER TABLE ONLY chatv3.pjj_icons DROP CONSTRAINT iid;
ALTER TABLE ONLY chatv3.pjj_themes DROP CONSTRAINT idx;
ALTER TABLE ONLY chatv3.pjj_images DROP CONSTRAINT idi;
DROP TABLE chatv3.pjj_userstates;
DROP SEQUENCE chatv3.pjj_users_id_seq;
DROP TABLE chatv3.pjj_userrecent;
DROP TABLE chatv3.pjj_userlist;
DROP TABLE chatv3.pjj_userfriends;
DROP TABLE chatv3.pjj_userbook;
DROP TABLE chatv3.pjj_user_flags;
DROP TABLE chatv3.pjj_themes;
DROP TABLE chatv3.pjj_symbols;
DROP TABLE chatv3.pjj_sessions;
DROP TABLE chatv3.pjj_replaces;
DROP VIEW chatv3.pjj_ownedchats;
DROP TABLE chatv3.pjj_online;
DROP TABLE chatv3.pjj_mime_types;
DROP TABLE chatv3.pjj_messages;
DROP TABLE chatv3.pjj_log_big;
DROP TABLE chatv3.pjj_log;
DROP TABLE chatv3.pjj_images;
DROP TABLE chatv3.pjj_imagecache;
DROP TABLE chatv3.pjj_imageban;
DROP TABLE chatv3.pjj_image_meta;
DROP VIEW chatv3.pjj_iconsexpanded;
DROP TABLE chatv3.pjj_icons;
DROP VIEW chatv3.pjj_flagsforchat;
DROP TABLE chatv3.pjj_users;
DROP TABLE chatv3.pjj_userassoc;
DROP TABLE chatv3.pjj_factions;
DROP TABLE chatv3.pjj_factionassoc;
DROP TABLE chatv3.pjj_country_names;
DROP TABLE chatv3.pjj_country_ips;
DROP TABLE chatv3.pjj_cookies;
DROP TABLE chatv3.pjj_chatsettings;
DROP SEQUENCE chatv3.pjj_chats_id_seq;
DROP TABLE chatv3.pjj_chats;
DROP SEQUENCE chatv3.pjj_channels_id_seq;
DROP TABLE chatv3.pjj_channels;
DROP SEQUENCE chatv3.pjj_categories_id_seq;
DROP TABLE chatv3.pjj_categories;
DROP TABLE chatv3.pjj_ban;
DROP TABLE chatv3.pjj_application_forms;
DROP AGGREGATE chatv3.pjj_concat(text);
DROP AGGREGATE chatv3.pjj_boolaggr(boolean);
DROP FUNCTION chatv3.pjj_ec_like(text);
DROP FUNCTION chatv3.pjj_boolsum(boolean, boolean);
DROP FUNCTION chatv3.hmac_exists(text);
DROP FUNCTION chatv3.hmac(bytea, bytea, text);
DROP FUNCTION chatv3.hmac(text, text, text);
DROP FUNCTION chatv3.gen_salt(text, integer);
DROP FUNCTION chatv3.gen_salt(text);
DROP FUNCTION chatv3.encrypt_iv(bytea, bytea, bytea, text);
DROP FUNCTION chatv3.encrypt(bytea, bytea, text);
DROP FUNCTION chatv3.digest_exists(text);
DROP FUNCTION chatv3.digest(bytea, text);
DROP FUNCTION chatv3.digest(text, text);
DROP FUNCTION chatv3.decrypt_iv(bytea, bytea, bytea, text);
DROP FUNCTION chatv3.decrypt(bytea, bytea, text);
DROP FUNCTION chatv3.crypt(text, text);
DROP FUNCTION chatv3.cipher_exists(text);
DROP SCHEMA chatv3;
--
-- Name: DUMP TIMESTAMP; Type: DUMP TIMESTAMP; Schema: -; Owner: 
--

-- Started on 2005-02-26 18:11:33 Romance Standard Time


--
-- Name: chatv3; Type: SCHEMA; Schema: -; Owner: 
--

CREATE SCHEMA chatv3 AUTHORIZATION postgres;


--
-- Name: cipher_exists(text); Type: FUNCTION; Schema: chatv3; Owner: postgres
--

CREATE FUNCTION cipher_exists(text) RETURNS boolean
    AS '$libdir/pgcrypto', 'pg_cipher_exists'
    LANGUAGE c;


ALTER FUNCTION chatv3.cipher_exists(text) OWNER TO postgres;

--
-- Name: crypt(text, text); Type: FUNCTION; Schema: chatv3; Owner: postgres
--

CREATE FUNCTION crypt(text, text) RETURNS text
    AS '$libdir/pgcrypto', 'pg_crypt'
    LANGUAGE c;


ALTER FUNCTION chatv3.crypt(text, text) OWNER TO postgres;

--
-- Name: decrypt(bytea, bytea, text); Type: FUNCTION; Schema: chatv3; Owner: postgres
--

CREATE FUNCTION decrypt(bytea, bytea, text) RETURNS bytea
    AS '$libdir/pgcrypto', 'pg_decrypt'
    LANGUAGE c;


ALTER FUNCTION chatv3.decrypt(bytea, bytea, text) OWNER TO postgres;

--
-- Name: decrypt_iv(bytea, bytea, bytea, text); Type: FUNCTION; Schema: chatv3; Owner: postgres
--

CREATE FUNCTION decrypt_iv(bytea, bytea, bytea, text) RETURNS bytea
    AS '$libdir/pgcrypto', 'pg_decrypt_iv'
    LANGUAGE c;


ALTER FUNCTION chatv3.decrypt_iv(bytea, bytea, bytea, text) OWNER TO postgres;

--
-- Name: digest(text, text); Type: FUNCTION; Schema: chatv3; Owner: postgres
--

CREATE FUNCTION digest(text, text) RETURNS bytea
    AS '$libdir/pgcrypto', 'pg_digest'
    LANGUAGE c;


ALTER FUNCTION chatv3.digest(text, text) OWNER TO postgres;

--
-- Name: digest(bytea, text); Type: FUNCTION; Schema: chatv3; Owner: postgres
--

CREATE FUNCTION digest(bytea, text) RETURNS bytea
    AS '$libdir/pgcrypto', 'pg_digest'
    LANGUAGE c;


ALTER FUNCTION chatv3.digest(bytea, text) OWNER TO postgres;

--
-- Name: digest_exists(text); Type: FUNCTION; Schema: chatv3; Owner: postgres
--

CREATE FUNCTION digest_exists(text) RETURNS boolean
    AS '$libdir/pgcrypto', 'pg_digest_exists'
    LANGUAGE c;


ALTER FUNCTION chatv3.digest_exists(text) OWNER TO postgres;

--
-- Name: encrypt(bytea, bytea, text); Type: FUNCTION; Schema: chatv3; Owner: postgres
--

CREATE FUNCTION encrypt(bytea, bytea, text) RETURNS bytea
    AS '$libdir/pgcrypto', 'pg_encrypt'
    LANGUAGE c;


ALTER FUNCTION chatv3.encrypt(bytea, bytea, text) OWNER TO postgres;

--
-- Name: encrypt_iv(bytea, bytea, bytea, text); Type: FUNCTION; Schema: chatv3; Owner: postgres
--

CREATE FUNCTION encrypt_iv(bytea, bytea, bytea, text) RETURNS bytea
    AS '$libdir/pgcrypto', 'pg_encrypt_iv'
    LANGUAGE c;


ALTER FUNCTION chatv3.encrypt_iv(bytea, bytea, bytea, text) OWNER TO postgres;

--
-- Name: gen_salt(text); Type: FUNCTION; Schema: chatv3; Owner: postgres
--

CREATE FUNCTION gen_salt(text) RETURNS text
    AS '$libdir/pgcrypto', 'pg_gen_salt'
    LANGUAGE c;


ALTER FUNCTION chatv3.gen_salt(text) OWNER TO postgres;

--
-- Name: gen_salt(text, integer); Type: FUNCTION; Schema: chatv3; Owner: postgres
--

CREATE FUNCTION gen_salt(text, integer) RETURNS text
    AS '$libdir/pgcrypto', 'pg_gen_salt_rounds'
    LANGUAGE c;


ALTER FUNCTION chatv3.gen_salt(text, integer) OWNER TO postgres;

--
-- Name: hmac(text, text, text); Type: FUNCTION; Schema: chatv3; Owner: postgres
--

CREATE FUNCTION hmac(text, text, text) RETURNS bytea
    AS '$libdir/pgcrypto', 'pg_hmac'
    LANGUAGE c;


ALTER FUNCTION chatv3.hmac(text, text, text) OWNER TO postgres;

--
-- Name: hmac(bytea, bytea, text); Type: FUNCTION; Schema: chatv3; Owner: postgres
--

CREATE FUNCTION hmac(bytea, bytea, text) RETURNS bytea
    AS '$libdir/pgcrypto', 'pg_hmac'
    LANGUAGE c;


ALTER FUNCTION chatv3.hmac(bytea, bytea, text) OWNER TO postgres;

--
-- Name: hmac_exists(text); Type: FUNCTION; Schema: chatv3; Owner: postgres
--

CREATE FUNCTION hmac_exists(text) RETURNS boolean
    AS '$libdir/pgcrypto', 'pg_hmac_exists'
    LANGUAGE c;


ALTER FUNCTION chatv3.hmac_exists(text) OWNER TO postgres;

--
-- Name: pjj_boolsum(boolean, boolean); Type: FUNCTION; Schema: chatv3; Owner: postgres
--

CREATE FUNCTION pjj_boolsum(boolean, boolean) RETURNS boolean
    AS $_$SELECT
	CASE
	WHEN ($1 IS NULL) THEN $2
	WHEN ($2 IS NULL) THEN $1
	ELSE ($1 OR $2)::bool
	END
;$_$
    LANGUAGE sql IMMUTABLE;


ALTER FUNCTION chatv3.pjj_boolsum(boolean, boolean) OWNER TO postgres;

--
-- Name: pjj_ec_like(text); Type: FUNCTION; Schema: chatv3; Owner: postgres
--

CREATE FUNCTION pjj_ec_like(text) RETURNS text
    AS $_$SELECT REPLACE(REPLACE($1, '%', '\\%'), '_', '\\_');$_$
    LANGUAGE sql IMMUTABLE STRICT;


ALTER FUNCTION chatv3.pjj_ec_like(text) OWNER TO postgres;

--
-- Name: pjj_boolaggr(boolean); Type: AGGREGATE; Schema: chatv3; Owner: postgres
--

CREATE AGGREGATE pjj_boolaggr (
    BASETYPE = boolean,
    SFUNC = pjj_boolsum,
    STYPE = boolean
);


ALTER AGGREGATE chatv3.pjj_boolaggr(boolean) OWNER TO postgres;

--
-- Name: pjj_concat(text); Type: AGGREGATE; Schema: chatv3; Owner: postgres
--

CREATE AGGREGATE pjj_concat (
    BASETYPE = text,
    SFUNC = textcat,
    STYPE = text,
    FINALFUNC = pg_catalog.rtrim
);


ALTER AGGREGATE chatv3.pjj_concat(text) OWNER TO postgres;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- Name: pjj_application_forms; Type: TABLE; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE TABLE pjj_application_forms (
    id serial NOT NULL,
    chat integer,
    name text NOT NULL,
    fields text,
    creator integer
);


ALTER TABLE chatv3.pjj_application_forms OWNER TO postgres;

--
-- Name: pjj_application_forms_id_seq; Type: SEQUENCE SET; Schema: chatv3; Owner: postgres
--

SELECT pg_catalog.setval(pg_catalog.pg_get_serial_sequence('pjj_application_forms', 'id'), 1, false);


--
-- Name: pjj_ban; Type: TABLE; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE TABLE pjj_ban (
    chat integer,
    ident character varying(8),
    auth integer,
    uid integer,
    hmask text,
    id serial NOT NULL,
    authid character varying(32),
    expires timestamp with time zone DEFAULT (now() + '01:00:00'::interval),
    perm boolean DEFAULT false NOT NULL,
    ipmask inet,
    "type" integer DEFAULT 0 NOT NULL,
    hostmask text
);


ALTER TABLE chatv3.pjj_ban OWNER TO postgres;

--
-- Name: COLUMN pjj_ban.hmask; Type: COMMENT; Schema: chatv3; Owner: postgres
--

COMMENT ON COLUMN pjj_ban.hmask IS 'Handle mask';


--
-- Name: pjj_ban_id_seq; Type: SEQUENCE SET; Schema: chatv3; Owner: postgres
--

SELECT pg_catalog.setval(pg_catalog.pg_get_serial_sequence('pjj_ban', 'id'), 42, true);


--
-- Name: pjj_categories; Type: TABLE; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE TABLE pjj_categories (
    id smallint DEFAULT nextval('chatv3.pjj_categories_id_seq'::text) NOT NULL,
    name text,
    description text,
    shortdesc text,
    ordering smallint
);


ALTER TABLE chatv3.pjj_categories OWNER TO postgres;

--
-- Name: pjj_categories_id_seq; Type: SEQUENCE; Schema: chatv3; Owner: postgres
--

CREATE SEQUENCE pjj_categories_id_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE chatv3.pjj_categories_id_seq OWNER TO postgres;

--
-- Name: pjj_categories_id_seq; Type: SEQUENCE SET; Schema: chatv3; Owner: postgres
--

SELECT pg_catalog.setval('pjj_categories_id_seq', 6, true);


--
-- Name: pjj_channels; Type: TABLE; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE TABLE pjj_channels (
    chat integer NOT NULL,
    name text NOT NULL,
    read_access text,
    id integer DEFAULT nextval('chatv3.pjj_channels_id_seq'::text) NOT NULL,
    write_access text
);


ALTER TABLE chatv3.pjj_channels OWNER TO postgres;

--
-- Name: pjj_channels_id_seq; Type: SEQUENCE; Schema: chatv3; Owner: postgres
--

CREATE SEQUENCE pjj_channels_id_seq
    START WITH 3
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE chatv3.pjj_channels_id_seq OWNER TO postgres;

--
-- Name: pjj_channels_id_seq; Type: SEQUENCE SET; Schema: chatv3; Owner: postgres
--

SELECT pg_catalog.setval('pjj_channels_id_seq', 3, false);


SET default_with_oids = true;

--
-- Name: pjj_chats; Type: TABLE; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE TABLE pjj_chats (
    id integer DEFAULT nextval('chatv3.pjj_chats_id_seq'::text) NOT NULL,
    path text,
    created timestamp without time zone DEFAULT now(),
    flags text,
    prefs text,
    title text,
    description text,
    category smallint DEFAULT 1,
    timeout integer,
    lastmsg timestamp with time zone DEFAULT now(),
    parent integer,
    form_lastmsg text,
    form_timezone character varying(8),
    form_lastpost text,
    s_chatlines integer,
    s_identlength integer,
    s_defaulthandle text,
    s_maxhandle integer,
    theme integer,
    read_access text,
    write_access text,
    s_postlines integer,
    s_postlength integer,
    s_welcome_page text,
    s_motd text,
    s_css text,
    s_logo text,
    s_logolink text
);


ALTER TABLE chatv3.pjj_chats OWNER TO postgres;

--
-- Name: pjj_chats_id_seq; Type: SEQUENCE; Schema: chatv3; Owner: postgres
--

CREATE SEQUENCE pjj_chats_id_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE chatv3.pjj_chats_id_seq OWNER TO postgres;

--
-- Name: pjj_chats_id_seq; Type: SEQUENCE SET; Schema: chatv3; Owner: postgres
--

SELECT pg_catalog.setval('pjj_chats_id_seq', 4, true);


SET default_with_oids = false;

--
-- Name: pjj_chatsettings; Type: TABLE; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE TABLE pjj_chatsettings (
    chat integer NOT NULL,
    set_name text NOT NULL,
    set_value text
);


ALTER TABLE chatv3.pjj_chatsettings OWNER TO postgres;

--
-- Name: pjj_cookies; Type: TABLE; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE TABLE pjj_cookies (
    id character varying(32) NOT NULL,
    data text,
    stamp timestamp without time zone DEFAULT now()
);


ALTER TABLE chatv3.pjj_cookies OWNER TO postgres;

--
-- Name: pjj_country_ips; Type: TABLE; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE TABLE pjj_country_ips (
    range_start inet NOT NULL,
    range_end inet NOT NULL,
    country integer NOT NULL
);


ALTER TABLE chatv3.pjj_country_ips OWNER TO postgres;

--
-- Name: pjj_country_names; Type: TABLE; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE TABLE pjj_country_names (
    id integer NOT NULL,
    name text NOT NULL,
    name2 character(2) NOT NULL,
    name3 character(3) NOT NULL
);


ALTER TABLE chatv3.pjj_country_names OWNER TO postgres;

--
-- Name: pjj_factionassoc; Type: TABLE; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE TABLE pjj_factionassoc (
    id integer,
    userid integer,
    flags text
);


ALTER TABLE chatv3.pjj_factionassoc OWNER TO postgres;

--
-- Name: pjj_factions; Type: TABLE; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE TABLE pjj_factions (
    chat integer,
    id serial NOT NULL,
    name text,
    profile text,
    symbol integer,
    CONSTRAINT factions_chat CHECK ((chat > 0))
);


ALTER TABLE chatv3.pjj_factions OWNER TO postgres;

--
-- Name: pjj_factions_id_seq; Type: SEQUENCE SET; Schema: chatv3; Owner: postgres
--

SELECT pg_catalog.setval(pg_catalog.pg_get_serial_sequence('pjj_factions', 'id'), 1, false);


--
-- Name: pjj_userassoc; Type: TABLE; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE TABLE pjj_userassoc (
    chat integer NOT NULL,
    id integer NOT NULL,
    flags text,
    lastvisit timestamp with time zone DEFAULT now(),
    visual_image text,
    visual_link text,
    visual_color text,
    visual_symbol integer,
    visual_icon text,
    visual_status integer
);


ALTER TABLE chatv3.pjj_userassoc OWNER TO postgres;

SET default_with_oids = true;

--
-- Name: pjj_users; Type: TABLE; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE TABLE pjj_users (
    id integer DEFAULT nextval('chatv3.pjj_users_id_seq'::text) NOT NULL,
    chat integer DEFAULT 0 NOT NULL,
    parent integer,
    username text NOT NULL,
    email text NOT NULL,
    icq integer,
    ym text,
    aim text,
    msn text,
    jabber text,
    site text,
    prefs text,
    profile text,
    verified character varying(32) NOT NULL,
    style character varying(32),
    lastlogin timestamp with time zone DEFAULT now(),
    created timestamp with time zone DEFAULT now() NOT NULL,
    timezone character varying(8),
    secur_hostmask text,
    secur_sessionid character varying(32),
    secur_slevel integer,
    country character(2),
    "password" text,
    secur_ipmask inet,
    skype text,
    CONSTRAINT icq CHECK ((icq >= 0)),
    CONSTRAINT security_session_level CHECK (((secur_slevel >= 1) AND (secur_slevel <= 4)))
);


ALTER TABLE chatv3.pjj_users OWNER TO postgres;

--
-- Name: pjj_flagsforchat; Type: VIEW; Schema: chatv3; Owner: postgres
--

CREATE VIEW pjj_flagsforchat AS
    SELECT users.id AS uid, users.parent, mchats.id AS chat, pjj_concat(assoc.flags) AS flags FROM (((pjj_chats mchats JOIN pjj_chats chats ON ((((chats.id > 0) AND (mchats.id > 0)) AND ((chats.id = mchats.parent) OR (chats.id = mchats.id))))) JOIN pjj_userassoc assoc ON (((((chats.id = assoc.chat) OR (assoc.chat = 0)) AND (assoc.flags <> '1'::text)) AND (assoc.flags IS NOT NULL)))) JOIN pjj_users users ON (((assoc.id = users.id) OR (assoc.id = users.parent)))) GROUP BY users.id, users.parent, mchats.id;


ALTER TABLE chatv3.pjj_flagsforchat OWNER TO postgres;

SET default_with_oids = false;

--
-- Name: pjj_icons; Type: TABLE; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE TABLE pjj_icons (
    id serial NOT NULL,
    suficon text,
    chat integer DEFAULT 0,
    userid integer,
    pub boolean,
    faction integer,
    name text,
    preicon text
);


ALTER TABLE chatv3.pjj_icons OWNER TO postgres;

--
-- Name: pjj_icons_id_seq; Type: SEQUENCE SET; Schema: chatv3; Owner: postgres
--

SELECT pg_catalog.setval(pg_catalog.pg_get_serial_sequence('pjj_icons', 'id'), 6, true);


--
-- Name: pjj_iconsexpanded; Type: VIEW; Schema: chatv3; Owner: postgres
--

CREATE VIEW pjj_iconsexpanded AS
    SELECT icons.id, icons.chat, icons.preicon, icons.suficon, icons.userid, icons.faction, icons.name, icons.pub, users.username, facts.name AS factionname FROM ((pjj_icons icons LEFT JOIN pjj_factions facts ON ((icons.faction = facts.id))) LEFT JOIN pjj_users users ON ((icons.userid = users.id)));


ALTER TABLE chatv3.pjj_iconsexpanded OWNER TO postgres;

--
-- Name: pjj_image_meta; Type: TABLE; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE TABLE pjj_image_meta (
    meta_id serial NOT NULL,
    image_id integer NOT NULL,
    user_id integer,
    chat_id integer,
    faction_id integer,
    name text,
    description text,
    flags text
);


ALTER TABLE chatv3.pjj_image_meta OWNER TO postgres;

--
-- Name: pjj_image_meta_meta_id_seq; Type: SEQUENCE SET; Schema: chatv3; Owner: postgres
--

SELECT pg_catalog.setval(pg_catalog.pg_get_serial_sequence('pjj_image_meta', 'meta_id'), 542, true);


--
-- Name: pjj_imageban; Type: TABLE; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE TABLE pjj_imageban (
    id serial NOT NULL,
    chat integer DEFAULT 0 NOT NULL,
    banmask text,
    userid integer
);


ALTER TABLE chatv3.pjj_imageban OWNER TO postgres;

--
-- Name: pjj_imageban_id_seq; Type: SEQUENCE SET; Schema: chatv3; Owner: postgres
--

SELECT pg_catalog.setval(pg_catalog.pg_get_serial_sequence('pjj_imageban', 'id'), 1, true);


--
-- Name: pjj_imagecache; Type: TABLE; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE TABLE pjj_imagecache (
    width integer,
    height integer,
    sum integer NOT NULL,
    stamp timestamp without time zone DEFAULT now()
);


ALTER TABLE chatv3.pjj_imagecache OWNER TO postgres;

--
-- Name: pjj_images; Type: TABLE; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE TABLE pjj_images (
    id serial NOT NULL,
    hash text,
    created timestamp with time zone DEFAULT now(),
    lasthit timestamp with time zone DEFAULT now(),
    size integer,
    width integer,
    height integer,
    mime_id integer,
    banned boolean
);


ALTER TABLE chatv3.pjj_images OWNER TO postgres;

--
-- Name: pjj_images_id_seq; Type: SEQUENCE SET; Schema: chatv3; Owner: postgres
--

SELECT pg_catalog.setval(pg_catalog.pg_get_serial_sequence('pjj_images', 'id'), 21347, true);


--
-- Name: pjj_log; Type: TABLE; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE TABLE pjj_log (
    chat integer NOT NULL,
    ident character varying(8),
    line text,
    username text,
    userid integer,
    stamp timestamp without time zone DEFAULT now() NOT NULL,
    ip inet,
    channel integer DEFAULT 0 NOT NULL,
    id integer DEFAULT 0 NOT NULL,
    flags text,
    browserid text
);


ALTER TABLE chatv3.pjj_log OWNER TO postgres;

--
-- Name: pjj_log_big; Type: TABLE; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE TABLE pjj_log_big (
    chat integer NOT NULL,
    ident character varying(8),
    line text,
    username text,
    userid integer,
    stamp timestamp without time zone DEFAULT now(),
    id serial NOT NULL,
    ip inet,
    channel integer DEFAULT 0 NOT NULL,
    browserid text
);


ALTER TABLE chatv3.pjj_log_big OWNER TO postgres;

--
-- Name: pjj_log_big_id_seq; Type: SEQUENCE SET; Schema: chatv3; Owner: postgres
--

SELECT pg_catalog.setval(pg_catalog.pg_get_serial_sequence('pjj_log_big', 'id'), 3179, true);


--
-- Name: pjj_messages; Type: TABLE; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE TABLE pjj_messages (
    id serial NOT NULL,
    recipient integer,
    realrecp integer,
    author integer,
    topic character varying,
    post text,
    status character varying(10) DEFAULT 'unread'::character varying,
    posttime timestamp with time zone DEFAULT now()
);


ALTER TABLE chatv3.pjj_messages OWNER TO postgres;

--
-- Name: pjj_messages_id_seq; Type: SEQUENCE SET; Schema: chatv3; Owner: postgres
--

SELECT pg_catalog.setval(pg_catalog.pg_get_serial_sequence('pjj_messages', 'id'), 7, true);


--
-- Name: pjj_mime_types; Type: TABLE; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE TABLE pjj_mime_types (
    mime_id serial NOT NULL,
    mime_type text NOT NULL
);


ALTER TABLE chatv3.pjj_mime_types OWNER TO postgres;

--
-- Name: pjj_mime_types_mime_id_seq; Type: SEQUENCE SET; Schema: chatv3; Owner: postgres
--

SELECT pg_catalog.setval(pg_catalog.pg_get_serial_sequence('pjj_mime_types', 'mime_id'), 4, true);


--
-- Name: pjj_online; Type: TABLE; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE TABLE pjj_online (
    chat integer NOT NULL,
    session_id integer NOT NULL,
    ips inet NOT NULL,
    uid integer,
    utime timestamp with time zone DEFAULT now()
);


ALTER TABLE chatv3.pjj_online OWNER TO postgres;

--
-- Name: pjj_ownedchats; Type: VIEW; Schema: chatv3; Owner: postgres
--

CREATE VIEW pjj_ownedchats AS
    SELECT DISTINCT ON (users.id, mchats.id) users.id AS uid, users.parent, mchats.id, mchats.title, assoc.flags FROM (((pjj_chats mchats JOIN pjj_chats chats ON ((((chats.id > 0) AND (mchats.id > 0)) AND ((chats.id = mchats.parent) OR (chats.id = mchats.id))))) JOIN pjj_userassoc assoc ON (((((chats.id = assoc.chat) OR (assoc.chat = 0)) AND (assoc.flags IS NOT NULL)) AND (assoc.flags ~~ '%M%'::text)))) JOIN pjj_users users ON (((users.chat = 0) AND ((assoc.id = users.id) OR (assoc.id = users.parent))))) ORDER BY users.id, mchats.id;


ALTER TABLE chatv3.pjj_ownedchats OWNER TO postgres;

--
-- Name: pjj_replaces; Type: TABLE; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE TABLE pjj_replaces (
    chat integer DEFAULT 0 NOT NULL,
    id serial NOT NULL,
    afind text NOT NULL,
    arepl text,
    preg boolean DEFAULT false NOT NULL,
    raw boolean DEFAULT false NOT NULL
);


ALTER TABLE chatv3.pjj_replaces OWNER TO postgres;

--
-- Name: pjj_replaces_id_seq; Type: SEQUENCE SET; Schema: chatv3; Owner: postgres
--

SELECT pg_catalog.setval(pg_catalog.pg_get_serial_sequence('pjj_replaces', 'id'), 9, true);


--
-- Name: pjj_sessions; Type: TABLE; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE TABLE pjj_sessions (
    id character varying(32),
    "location" text,
    stamp timestamp without time zone DEFAULT now(),
    ip inet
);


ALTER TABLE chatv3.pjj_sessions OWNER TO postgres;

--
-- Name: pjj_symbols; Type: TABLE; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE TABLE pjj_symbols (
    id serial NOT NULL,
    chat integer,
    prefix text,
    suffix text,
    flags text,
    name text
);


ALTER TABLE chatv3.pjj_symbols OWNER TO postgres;

--
-- Name: pjj_symbols_id_seq; Type: SEQUENCE SET; Schema: chatv3; Owner: postgres
--

SELECT pg_catalog.setval(pg_catalog.pg_get_serial_sequence('pjj_symbols', 'id'), 1, false);


--
-- Name: pjj_themes; Type: TABLE; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE TABLE pjj_themes (
    id serial NOT NULL,
    name text,
    description text,
    chat integer,
    creator integer
);


ALTER TABLE chatv3.pjj_themes OWNER TO postgres;

--
-- Name: pjj_themes_id_seq; Type: SEQUENCE SET; Schema: chatv3; Owner: postgres
--

SELECT pg_catalog.setval(pg_catalog.pg_get_serial_sequence('pjj_themes', 'id'), 2, true);


--
-- Name: pjj_user_flags; Type: TABLE; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE TABLE pjj_user_flags (
    user_id integer NOT NULL,
    chat_id integer NOT NULL,
    flag_owner boolean,
    flag_master boolean,
    flag_clear boolean,
    flag_moderator boolean,
    flag_ban boolean,
    flag_stealth boolean,
    flag_faction_manager boolean,
    flag_member boolean
);


ALTER TABLE chatv3.pjj_user_flags OWNER TO postgres;

--
-- Name: pjj_userbook; Type: TABLE; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE TABLE pjj_userbook (
    userid integer NOT NULL,
    chat integer NOT NULL,
    rating smallint,
    CONSTRAINT rating CHECK (((rating >= -5) AND (rating <= 5)))
);


ALTER TABLE chatv3.pjj_userbook OWNER TO postgres;

--
-- Name: pjj_userfriends; Type: TABLE; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE TABLE pjj_userfriends (
    userid integer NOT NULL,
    friend integer NOT NULL,
    rating integer NOT NULL,
    CONSTRAINT rating_userfriends CHECK (((rating >= -5) AND (rating <= 5)))
);


ALTER TABLE chatv3.pjj_userfriends OWNER TO postgres;

--
-- Name: pjj_userlist; Type: TABLE; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE TABLE pjj_userlist (
    chat integer,
    username character varying,
    link text,
    image text,
    ident character varying(8),
    userid integer,
    posttime timestamp with time zone DEFAULT now()
);


ALTER TABLE chatv3.pjj_userlist OWNER TO postgres;

--
-- Name: pjj_userrecent; Type: TABLE; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE TABLE pjj_userrecent (
    userid integer NOT NULL,
    chat integer NOT NULL,
    stamp timestamp without time zone DEFAULT now()
);


ALTER TABLE chatv3.pjj_userrecent OWNER TO postgres;

--
-- Name: pjj_users_id_seq; Type: SEQUENCE; Schema: chatv3; Owner: postgres
--

CREATE SEQUENCE pjj_users_id_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE chatv3.pjj_users_id_seq OWNER TO postgres;

--
-- Name: pjj_users_id_seq; Type: SEQUENCE SET; Schema: chatv3; Owner: postgres
--

SELECT pg_catalog.setval('pjj_users_id_seq', 16, true);


--
-- Name: pjj_userstates; Type: TABLE; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE TABLE pjj_userstates (
    id serial NOT NULL,
    chat integer DEFAULT 0 NOT NULL,
    prefix text,
    suffix text,
    name text NOT NULL
);


ALTER TABLE chatv3.pjj_userstates OWNER TO postgres;

--
-- Name: pjj_userstates_id_seq; Type: SEQUENCE SET; Schema: chatv3; Owner: postgres
--

SELECT pg_catalog.setval(pg_catalog.pg_get_serial_sequence('pjj_userstates', 'id'), 5, true);


--
-- Data for Name: pjj_application_forms; Type: TABLE DATA; Schema: chatv3; Owner: postgres
--

--
-- Data for Name: pjj_ban; Type: TABLE DATA; Schema: chatv3; Owner: postgres
--

--
-- Data for Name: pjj_categories; Type: TABLE DATA; Schema: chatv3; Owner: postgres
--

--
-- Data for Name: pjj_channels; Type: TABLE DATA; Schema: chatv3; Owner: postgres
--

--
-- Data for Name: pjj_chats; Type: TABLE DATA; Schema: chatv3; Owner: postgres
--

--
-- Data for Name: pjj_chatsettings; Type: TABLE DATA; Schema: chatv3; Owner: postgres
--

--
-- Data for Name: pjj_cookies; Type: TABLE DATA; Schema: chatv3; Owner: postgres
--

--
-- Data for Name: pjj_country_ips; Type: TABLE DATA; Schema: chatv3; Owner: postgres
--

--
-- Data for Name: pjj_country_names; Type: TABLE DATA; Schema: chatv3; Owner: postgres
--

--
-- Data for Name: pjj_factionassoc; Type: TABLE DATA; Schema: chatv3; Owner: postgres
--

--
-- Data for Name: pjj_factions; Type: TABLE DATA; Schema: chatv3; Owner: postgres
--

--
-- Data for Name: pjj_icons; Type: TABLE DATA; Schema: chatv3; Owner: postgres
--

--
-- Data for Name: pjj_image_meta; Type: TABLE DATA; Schema: chatv3; Owner: postgres
--

--
-- Data for Name: pjj_imageban; Type: TABLE DATA; Schema: chatv3; Owner: postgres
--

--
-- Data for Name: pjj_imagecache; Type: TABLE DATA; Schema: chatv3; Owner: postgres
--

--
-- Data for Name: pjj_images; Type: TABLE DATA; Schema: chatv3; Owner: postgres
--

--
-- Data for Name: pjj_log; Type: TABLE DATA; Schema: chatv3; Owner: postgres
--

--
-- Data for Name: pjj_log_big; Type: TABLE DATA; Schema: chatv3; Owner: postgres
--

--
-- Data for Name: pjj_messages; Type: TABLE DATA; Schema: chatv3; Owner: postgres
--

--
-- Data for Name: pjj_mime_types; Type: TABLE DATA; Schema: chatv3; Owner: postgres
--

--
-- Data for Name: pjj_online; Type: TABLE DATA; Schema: chatv3; Owner: postgres
--

--
-- Data for Name: pjj_replaces; Type: TABLE DATA; Schema: chatv3; Owner: postgres
--

--
-- Data for Name: pjj_sessions; Type: TABLE DATA; Schema: chatv3; Owner: postgres
--

--
-- Data for Name: pjj_symbols; Type: TABLE DATA; Schema: chatv3; Owner: postgres
--

--
-- Data for Name: pjj_themes; Type: TABLE DATA; Schema: chatv3; Owner: postgres
--

--
-- Data for Name: pjj_user_flags; Type: TABLE DATA; Schema: chatv3; Owner: postgres
--

--
-- Data for Name: pjj_userassoc; Type: TABLE DATA; Schema: chatv3; Owner: postgres
--

--
-- Data for Name: pjj_userbook; Type: TABLE DATA; Schema: chatv3; Owner: postgres
--

--
-- Data for Name: pjj_userfriends; Type: TABLE DATA; Schema: chatv3; Owner: postgres
--

--
-- Data for Name: pjj_userlist; Type: TABLE DATA; Schema: chatv3; Owner: postgres
--

--
-- Data for Name: pjj_userrecent; Type: TABLE DATA; Schema: chatv3; Owner: postgres
--

--
-- Data for Name: pjj_users; Type: TABLE DATA; Schema: chatv3; Owner: postgres
--

--
-- Data for Name: pjj_userstates; Type: TABLE DATA; Schema: chatv3; Owner: postgres
--

--
-- Name: idi; Type: CONSTRAINT; Schema: chatv3; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY pjj_images
    ADD CONSTRAINT idi PRIMARY KEY (id);


--
-- Name: idx; Type: CONSTRAINT; Schema: chatv3; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY pjj_themes
    ADD CONSTRAINT idx PRIMARY KEY (id);


--
-- Name: iid; Type: CONSTRAINT; Schema: chatv3; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY pjj_icons
    ADD CONSTRAINT iid PRIMARY KEY (id);


--
-- Name: pjj_appplication_forms_chat_key; Type: CONSTRAINT; Schema: chatv3; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY pjj_application_forms
    ADD CONSTRAINT pjj_appplication_forms_chat_key UNIQUE (chat, name);


--
-- Name: pjj_appplication_forms_pkey; Type: CONSTRAINT; Schema: chatv3; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY pjj_application_forms
    ADD CONSTRAINT pjj_appplication_forms_pkey PRIMARY KEY (id);


--
-- Name: pjj_ban_pkey; Type: CONSTRAINT; Schema: chatv3; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY pjj_ban
    ADD CONSTRAINT pjj_ban_pkey PRIMARY KEY (id);


--
-- Name: pjj_categories_pkey; Type: CONSTRAINT; Schema: chatv3; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY pjj_categories
    ADD CONSTRAINT pjj_categories_pkey PRIMARY KEY (id);


--
-- Name: pjj_channels_pkey; Type: CONSTRAINT; Schema: chatv3; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY pjj_channels
    ADD CONSTRAINT pjj_channels_pkey PRIMARY KEY (id);


--
-- Name: pjj_chats_pkey; Type: CONSTRAINT; Schema: chatv3; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY pjj_chats
    ADD CONSTRAINT pjj_chats_pkey PRIMARY KEY (id);


--
-- Name: pjj_chatsettings_pkey; Type: CONSTRAINT; Schema: chatv3; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY pjj_chatsettings
    ADD CONSTRAINT pjj_chatsettings_pkey PRIMARY KEY (chat, set_name);


--
-- Name: pjj_cookies_pkey; Type: CONSTRAINT; Schema: chatv3; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY pjj_cookies
    ADD CONSTRAINT pjj_cookies_pkey PRIMARY KEY (id);


--
-- Name: pjj_country_ips_pkey; Type: CONSTRAINT; Schema: chatv3; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY pjj_country_ips
    ADD CONSTRAINT pjj_country_ips_pkey PRIMARY KEY (range_start);


--
-- Name: pjj_country_names_pkey; Type: CONSTRAINT; Schema: chatv3; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY pjj_country_names
    ADD CONSTRAINT pjj_country_names_pkey PRIMARY KEY (id);


--
-- Name: pjj_factions_pkey; Type: CONSTRAINT; Schema: chatv3; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY pjj_factions
    ADD CONSTRAINT pjj_factions_pkey PRIMARY KEY (id);


--
-- Name: pjj_image_meta_pkey; Type: CONSTRAINT; Schema: chatv3; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY pjj_image_meta
    ADD CONSTRAINT pjj_image_meta_pkey PRIMARY KEY (meta_id);


--
-- Name: pjj_imageban_pkey; Type: CONSTRAINT; Schema: chatv3; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY pjj_imageban
    ADD CONSTRAINT pjj_imageban_pkey PRIMARY KEY (id);


--
-- Name: pjj_imagecache_pkey; Type: CONSTRAINT; Schema: chatv3; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY pjj_imagecache
    ADD CONSTRAINT pjj_imagecache_pkey PRIMARY KEY (sum);


--
-- Name: pjj_images_hash_key; Type: CONSTRAINT; Schema: chatv3; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY pjj_images
    ADD CONSTRAINT pjj_images_hash_key UNIQUE (hash);


--
-- Name: pjj_log_pkey; Type: CONSTRAINT; Schema: chatv3; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY pjj_log
    ADD CONSTRAINT pjj_log_pkey PRIMARY KEY (chat, channel, stamp);


--
-- Name: pjj_messages_pkey; Type: CONSTRAINT; Schema: chatv3; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY pjj_messages
    ADD CONSTRAINT pjj_messages_pkey PRIMARY KEY (id);


--
-- Name: pjj_mime_types_mime_type_key; Type: CONSTRAINT; Schema: chatv3; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY pjj_mime_types
    ADD CONSTRAINT pjj_mime_types_mime_type_key UNIQUE (mime_type);


--
-- Name: pjj_mime_types_pkey; Type: CONSTRAINT; Schema: chatv3; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY pjj_mime_types
    ADD CONSTRAINT pjj_mime_types_pkey PRIMARY KEY (mime_id);


--
-- Name: pjj_online_pkey; Type: CONSTRAINT; Schema: chatv3; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY pjj_online
    ADD CONSTRAINT pjj_online_pkey PRIMARY KEY (chat, ips);


--
-- Name: pjj_replaces_pkey; Type: CONSTRAINT; Schema: chatv3; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY pjj_replaces
    ADD CONSTRAINT pjj_replaces_pkey PRIMARY KEY (id);


--
-- Name: pjj_symbols_pkey; Type: CONSTRAINT; Schema: chatv3; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY pjj_symbols
    ADD CONSTRAINT pjj_symbols_pkey PRIMARY KEY (id);


--
-- Name: pjj_user_flags_pkey; Type: CONSTRAINT; Schema: chatv3; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY pjj_user_flags
    ADD CONSTRAINT pjj_user_flags_pkey PRIMARY KEY (chat_id, user_id);


--
-- Name: pjj_userassoc_pkey; Type: CONSTRAINT; Schema: chatv3; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY pjj_userassoc
    ADD CONSTRAINT pjj_userassoc_pkey PRIMARY KEY (chat, id);


--
-- Name: pjj_userrecent_pkey; Type: CONSTRAINT; Schema: chatv3; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY pjj_userrecent
    ADD CONSTRAINT pjj_userrecent_pkey PRIMARY KEY (userid, chat);


--
-- Name: pjj_users_pkey; Type: CONSTRAINT; Schema: chatv3; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY pjj_users
    ADD CONSTRAINT pjj_users_pkey PRIMARY KEY (id);


--
-- Name: pjj_userstates_pkey; Type: CONSTRAINT; Schema: chatv3; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY pjj_userstates
    ADD CONSTRAINT pjj_userstates_pkey PRIMARY KEY (id);


--
-- Name: pkey_userbook; Type: CONSTRAINT; Schema: chatv3; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY pjj_userbook
    ADD CONSTRAINT pkey_userbook PRIMARY KEY (userid, chat);


--
-- Name: userfriends_pkey; Type: CONSTRAINT; Schema: chatv3; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY pjj_userfriends
    ADD CONSTRAINT userfriends_pkey PRIMARY KEY (userid, friend);


--
-- Name: author; Type: INDEX; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE INDEX author ON pjj_messages USING btree (author);


--
-- Name: category_pjj_chats_index; Type: INDEX; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE INDEX category_pjj_chats_index ON pjj_chats USING btree (category);


--
-- Name: chat_ban; Type: INDEX; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE INDEX chat_ban ON pjj_ban USING btree (chat);


--
-- Name: chat_channels; Type: INDEX; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE INDEX chat_channels ON pjj_channels USING btree (chat);


--
-- Name: chat_factions; Type: INDEX; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE INDEX chat_factions ON pjj_factions USING btree (chat);


--
-- Name: chat_icons; Type: INDEX; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE INDEX chat_icons ON pjj_icons USING btree (chat);


--
-- Name: chat_log; Type: INDEX; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE INDEX chat_log ON pjj_log USING btree (chat);


--
-- Name: chat_log_big; Type: INDEX; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE INDEX chat_log_big ON pjj_log_big USING btree (chat);


--
-- Name: chat_online; Type: INDEX; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE INDEX chat_online ON pjj_online USING btree (chat);


--
-- Name: chat_pjj_users_index; Type: INDEX; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE INDEX chat_pjj_users_index ON pjj_users USING btree (chat);


--
-- Name: chat_themes; Type: INDEX; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE INDEX chat_themes ON pjj_themes USING btree (chat);


--
-- Name: chat_userassoc; Type: INDEX; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE INDEX chat_userassoc ON pjj_userassoc USING btree (chat);


--
-- Name: chat_userbook; Type: INDEX; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE INDEX chat_userbook ON pjj_userbook USING btree (chat);


--
-- Name: chat_userlist; Type: INDEX; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE INDEX chat_userlist ON pjj_userlist USING btree (chat);


--
-- Name: chat_userrecent; Type: INDEX; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE INDEX chat_userrecent ON pjj_userrecent USING btree (chat);


--
-- Name: country_id; Type: INDEX; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX country_id ON pjj_country_names USING btree (id);


--
-- Name: created_images; Type: INDEX; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE INDEX created_images ON pjj_images USING btree (created);


--
-- Name: creator_themes; Type: INDEX; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE INDEX creator_themes ON pjj_themes USING btree (creator);


--
-- Name: fki_; Type: INDEX; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE INDEX fki_ ON pjj_images USING btree (mime_id);


--
-- Name: fki_auth; Type: INDEX; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE INDEX fki_auth ON pjj_ban USING btree (auth);


--
-- Name: fki_creator; Type: INDEX; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE INDEX fki_creator ON pjj_application_forms USING btree (creator);


--
-- Name: friend_userfriends; Type: INDEX; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE INDEX friend_userfriends ON pjj_userfriends USING btree (friend);


--
-- Name: height_images; Type: INDEX; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE INDEX height_images ON pjj_images USING btree (height);


--
-- Name: id_ban; Type: INDEX; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX id_ban ON pjj_ban USING btree (id);


--
-- Name: id_categories; Type: INDEX; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX id_categories ON pjj_categories USING btree (id);


--
-- Name: id_chats; Type: INDEX; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX id_chats ON pjj_chats USING btree (id);


--
-- Name: id_cookies; Type: INDEX; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX id_cookies ON pjj_cookies USING btree (id);


--
-- Name: id_factionassoc; Type: INDEX; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE INDEX id_factionassoc ON pjj_factionassoc USING btree (id);


--
-- Name: id_factions; Type: INDEX; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX id_factions ON pjj_factions USING btree (id);


--
-- Name: id_icons; Type: INDEX; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX id_icons ON pjj_icons USING btree (id);


--
-- Name: id_log_big; Type: INDEX; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE INDEX id_log_big ON pjj_log_big USING btree (id);


--
-- Name: id_messages; Type: INDEX; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX id_messages ON pjj_messages USING btree (id);


--
-- Name: id_sessions; Type: INDEX; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE INDEX id_sessions ON pjj_sessions USING btree (id);


--
-- Name: id_themes; Type: INDEX; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX id_themes ON pjj_themes USING btree (id);


--
-- Name: id_userassoc; Type: INDEX; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE INDEX id_userassoc ON pjj_userassoc USING btree (id);


--
-- Name: id_users; Type: INDEX; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX id_users ON pjj_users USING btree (id);


--
-- Name: ips_country; Type: INDEX; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE INDEX ips_country ON pjj_country_ips USING btree (country);


--
-- Name: ips_end; Type: INDEX; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX ips_end ON pjj_country_ips USING btree (range_end);


--
-- Name: ips_start; Type: INDEX; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX ips_start ON pjj_country_ips USING btree (range_start);


--
-- Name: log_big_channel; Type: INDEX; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE INDEX log_big_channel ON pjj_log_big USING btree (channel);


--
-- Name: log_channel; Type: INDEX; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE INDEX log_channel ON pjj_log USING btree (channel);


--
-- Name: meta_image_id_index; Type: INDEX; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE INDEX meta_image_id_index ON pjj_image_meta USING btree (image_id);


--
-- Name: meta_name_index; Type: INDEX; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE INDEX meta_name_index ON pjj_image_meta USING btree (name);


--
-- Name: names_name2; Type: INDEX; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX names_name2 ON pjj_country_names USING btree (name2);


--
-- Name: order_categories; Type: INDEX; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE INDEX order_categories ON pjj_categories USING btree (ordering);


--
-- Name: parent_chats; Type: INDEX; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE INDEX parent_chats ON pjj_chats USING btree (parent);


--
-- Name: parent_pjj_users_index; Type: INDEX; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE INDEX parent_pjj_users_index ON pjj_users USING btree (parent);


--
-- Name: path_pjj_chats_index; Type: INDEX; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX path_pjj_chats_index ON pjj_chats USING btree (path);


--
-- Name: posttime_userlist; Type: INDEX; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE INDEX posttime_userlist ON pjj_userlist USING btree (posttime);


--
-- Name: rating_userfriends; Type: INDEX; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE INDEX rating_userfriends ON pjj_userfriends USING btree (rating);


--
-- Name: realrecp_messages; Type: INDEX; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE INDEX realrecp_messages ON pjj_messages USING btree (realrecp);


--
-- Name: replace_chat; Type: INDEX; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE INDEX replace_chat ON pjj_replaces USING btree (chat);


--
-- Name: replace_preg; Type: INDEX; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE INDEX replace_preg ON pjj_replaces USING btree (preg);


--
-- Name: size_images; Type: INDEX; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE INDEX size_images ON pjj_images USING btree (size);


--
-- Name: status_messages; Type: INDEX; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE INDEX status_messages ON pjj_messages USING btree (status);


--
-- Name: sum_imagecache; Type: INDEX; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX sum_imagecache ON pjj_imagecache USING btree (sum);


--
-- Name: symbold_id; Type: INDEX; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX symbold_id ON pjj_symbols USING btree (id);


--
-- Name: symbols_chat; Type: INDEX; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE INDEX symbols_chat ON pjj_symbols USING btree (chat);


--
-- Name: type_ban; Type: INDEX; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE INDEX type_ban ON pjj_ban USING btree ("type");


--
-- Name: uid; Type: INDEX; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE INDEX uid ON pjj_online USING btree (uid);


--
-- Name: uid_ban; Type: INDEX; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE INDEX uid_ban ON pjj_ban USING btree (uid);


--
-- Name: user_flags_chat_id; Type: INDEX; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE INDEX user_flags_chat_id ON pjj_user_flags USING btree (chat_id);


--
-- Name: user_flags_user_id; Type: INDEX; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE INDEX user_flags_user_id ON pjj_user_flags USING btree (user_id);


--
-- Name: userid_factionassoc; Type: INDEX; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE INDEX userid_factionassoc ON pjj_factionassoc USING btree (userid);


--
-- Name: userid_icons; Type: INDEX; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE INDEX userid_icons ON pjj_icons USING btree (userid);


--
-- Name: userid_userbook; Type: INDEX; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE INDEX userid_userbook ON pjj_userbook USING btree (userid);


--
-- Name: userid_userfriends; Type: INDEX; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE INDEX userid_userfriends ON pjj_userfriends USING btree (userid);


--
-- Name: userid_userlist; Type: INDEX; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE INDEX userid_userlist ON pjj_userlist USING btree (userid);


--
-- Name: users_country; Type: INDEX; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE INDEX users_country ON pjj_users USING btree (country);


--
-- Name: users_unique; Type: INDEX; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX users_unique ON pjj_users USING btree (chat, username);


--
-- Name: width_images; Type: INDEX; Schema: chatv3; Owner: postgres; Tablespace: 
--

CREATE INDEX width_images ON pjj_images USING btree (width);


--
-- Name: $1; Type: FK CONSTRAINT; Schema: chatv3; Owner: postgres
--

ALTER TABLE ONLY pjj_user_flags
    ADD CONSTRAINT "$1" FOREIGN KEY (user_id) REFERENCES pjj_users(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: $1; Type: FK CONSTRAINT; Schema: chatv3; Owner: postgres
--

ALTER TABLE ONLY pjj_images
    ADD CONSTRAINT "$1" FOREIGN KEY (mime_id) REFERENCES pjj_mime_types(mime_id) ON UPDATE CASCADE ON DELETE SET NULL;


--
-- Name: $1; Type: FK CONSTRAINT; Schema: chatv3; Owner: postgres
--

ALTER TABLE ONLY pjj_image_meta
    ADD CONSTRAINT "$1" FOREIGN KEY (image_id) REFERENCES pjj_images(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: $2; Type: FK CONSTRAINT; Schema: chatv3; Owner: postgres
--

ALTER TABLE ONLY pjj_user_flags
    ADD CONSTRAINT "$2" FOREIGN KEY (chat_id) REFERENCES pjj_chats(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: $2; Type: FK CONSTRAINT; Schema: chatv3; Owner: postgres
--

ALTER TABLE ONLY pjj_image_meta
    ADD CONSTRAINT "$2" FOREIGN KEY (chat_id) REFERENCES pjj_chats(id) ON UPDATE RESTRICT ON DELETE RESTRICT;


--
-- Name: $3; Type: FK CONSTRAINT; Schema: chatv3; Owner: postgres
--

ALTER TABLE ONLY pjj_image_meta
    ADD CONSTRAINT "$3" FOREIGN KEY (user_id) REFERENCES pjj_users(id) ON UPDATE RESTRICT ON DELETE RESTRICT;


--
-- Name: $4; Type: FK CONSTRAINT; Schema: chatv3; Owner: postgres
--

ALTER TABLE ONLY pjj_image_meta
    ADD CONSTRAINT "$4" FOREIGN KEY (faction_id) REFERENCES pjj_factions(id) ON UPDATE RESTRICT ON DELETE RESTRICT;


--
-- Name: auth; Type: FK CONSTRAINT; Schema: chatv3; Owner: postgres
--

ALTER TABLE ONLY pjj_messages
    ADD CONSTRAINT auth FOREIGN KEY (author) REFERENCES pjj_users(id) ON UPDATE CASCADE ON DELETE SET NULL;


--
-- Name: auth; Type: FK CONSTRAINT; Schema: chatv3; Owner: postgres
--

ALTER TABLE ONLY pjj_ban
    ADD CONSTRAINT auth FOREIGN KEY (auth) REFERENCES pjj_users(id) ON UPDATE CASCADE ON DELETE SET NULL;


--
-- Name: category; Type: FK CONSTRAINT; Schema: chatv3; Owner: postgres
--

ALTER TABLE ONLY pjj_chats
    ADD CONSTRAINT category FOREIGN KEY (category) REFERENCES pjj_categories(id) ON UPDATE CASCADE ON DELETE SET DEFAULT;


--
-- Name: chat; Type: FK CONSTRAINT; Schema: chatv3; Owner: postgres
--

ALTER TABLE ONLY pjj_users
    ADD CONSTRAINT chat FOREIGN KEY (chat) REFERENCES pjj_chats(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: chat; Type: FK CONSTRAINT; Schema: chatv3; Owner: postgres
--

ALTER TABLE ONLY pjj_online
    ADD CONSTRAINT chat FOREIGN KEY (chat) REFERENCES pjj_chats(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: chat; Type: FK CONSTRAINT; Schema: chatv3; Owner: postgres
--

ALTER TABLE ONLY pjj_channels
    ADD CONSTRAINT chat FOREIGN KEY (chat) REFERENCES pjj_chats(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: chat; Type: FK CONSTRAINT; Schema: chatv3; Owner: postgres
--

ALTER TABLE ONLY pjj_factions
    ADD CONSTRAINT chat FOREIGN KEY (chat) REFERENCES pjj_chats(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: chat; Type: FK CONSTRAINT; Schema: chatv3; Owner: postgres
--

ALTER TABLE ONLY pjj_log
    ADD CONSTRAINT chat FOREIGN KEY (chat) REFERENCES pjj_chats(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: chat; Type: FK CONSTRAINT; Schema: chatv3; Owner: postgres
--

ALTER TABLE ONLY pjj_log_big
    ADD CONSTRAINT chat FOREIGN KEY (chat) REFERENCES pjj_chats(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: chat; Type: FK CONSTRAINT; Schema: chatv3; Owner: postgres
--

ALTER TABLE ONLY pjj_userassoc
    ADD CONSTRAINT chat FOREIGN KEY (chat) REFERENCES pjj_chats(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: chat; Type: FK CONSTRAINT; Schema: chatv3; Owner: postgres
--

ALTER TABLE ONLY pjj_userlist
    ADD CONSTRAINT chat FOREIGN KEY (chat) REFERENCES pjj_chats(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: chat; Type: FK CONSTRAINT; Schema: chatv3; Owner: postgres
--

ALTER TABLE ONLY pjj_userbook
    ADD CONSTRAINT chat FOREIGN KEY (chat) REFERENCES pjj_chats(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: chat; Type: FK CONSTRAINT; Schema: chatv3; Owner: postgres
--

ALTER TABLE ONLY pjj_userrecent
    ADD CONSTRAINT chat FOREIGN KEY (chat) REFERENCES pjj_chats(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: chat; Type: FK CONSTRAINT; Schema: chatv3; Owner: postgres
--

ALTER TABLE ONLY pjj_icons
    ADD CONSTRAINT chat FOREIGN KEY (chat) REFERENCES pjj_chats(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: chat; Type: FK CONSTRAINT; Schema: chatv3; Owner: postgres
--

ALTER TABLE ONLY pjj_themes
    ADD CONSTRAINT chat FOREIGN KEY (chat) REFERENCES pjj_chats(id) ON UPDATE CASCADE ON DELETE SET NULL;


--
-- Name: chat; Type: FK CONSTRAINT; Schema: chatv3; Owner: postgres
--

ALTER TABLE ONLY pjj_chatsettings
    ADD CONSTRAINT chat FOREIGN KEY (chat) REFERENCES pjj_chats(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: chat; Type: FK CONSTRAINT; Schema: chatv3; Owner: postgres
--

ALTER TABLE ONLY pjj_application_forms
    ADD CONSTRAINT chat FOREIGN KEY (chat) REFERENCES pjj_chats(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: chatchat; Type: FK CONSTRAINT; Schema: chatv3; Owner: postgres
--

ALTER TABLE ONLY pjj_ban
    ADD CONSTRAINT chatchat FOREIGN KEY (chat) REFERENCES pjj_chats(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: chatstates_chat; Type: FK CONSTRAINT; Schema: chatv3; Owner: postgres
--

ALTER TABLE ONLY pjj_userstates
    ADD CONSTRAINT chatstates_chat FOREIGN KEY (chat) REFERENCES pjj_chats(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: creator; Type: FK CONSTRAINT; Schema: chatv3; Owner: postgres
--

ALTER TABLE ONLY pjj_themes
    ADD CONSTRAINT creator FOREIGN KEY (creator) REFERENCES pjj_users(id) ON UPDATE CASCADE ON DELETE SET NULL;


--
-- Name: creator; Type: FK CONSTRAINT; Schema: chatv3; Owner: postgres
--

ALTER TABLE ONLY pjj_application_forms
    ADD CONSTRAINT creator FOREIGN KEY (creator) REFERENCES pjj_users(id) ON UPDATE CASCADE ON DELETE SET NULL;


--
-- Name: faction; Type: FK CONSTRAINT; Schema: chatv3; Owner: postgres
--

ALTER TABLE ONLY pjj_icons
    ADD CONSTRAINT faction FOREIGN KEY (faction) REFERENCES pjj_factions(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: friend; Type: FK CONSTRAINT; Schema: chatv3; Owner: postgres
--

ALTER TABLE ONLY pjj_userfriends
    ADD CONSTRAINT friend FOREIGN KEY (friend) REFERENCES pjj_users(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: iban_chat; Type: FK CONSTRAINT; Schema: chatv3; Owner: postgres
--

ALTER TABLE ONLY pjj_imageban
    ADD CONSTRAINT iban_chat FOREIGN KEY (chat) REFERENCES pjj_chats(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: iban_user; Type: FK CONSTRAINT; Schema: chatv3; Owner: postgres
--

ALTER TABLE ONLY pjj_imageban
    ADD CONSTRAINT iban_user FOREIGN KEY (userid) REFERENCES pjj_users(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: id; Type: FK CONSTRAINT; Schema: chatv3; Owner: postgres
--

ALTER TABLE ONLY pjj_factionassoc
    ADD CONSTRAINT id FOREIGN KEY (id) REFERENCES pjj_factions(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: ips_country; Type: FK CONSTRAINT; Schema: chatv3; Owner: postgres
--

ALTER TABLE ONLY pjj_country_ips
    ADD CONSTRAINT ips_country FOREIGN KEY (country) REFERENCES pjj_country_names(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: log_channel; Type: FK CONSTRAINT; Schema: chatv3; Owner: postgres
--

ALTER TABLE ONLY pjj_log
    ADD CONSTRAINT log_channel FOREIGN KEY (channel) REFERENCES pjj_channels(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: parent; Type: FK CONSTRAINT; Schema: chatv3; Owner: postgres
--

ALTER TABLE ONLY pjj_users
    ADD CONSTRAINT parent FOREIGN KEY (parent) REFERENCES pjj_users(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: parent; Type: FK CONSTRAINT; Schema: chatv3; Owner: postgres
--

ALTER TABLE ONLY pjj_chats
    ADD CONSTRAINT parent FOREIGN KEY (parent) REFERENCES pjj_chats(id) ON UPDATE CASCADE ON DELETE SET NULL;


--
-- Name: rcpt; Type: FK CONSTRAINT; Schema: chatv3; Owner: postgres
--

ALTER TABLE ONLY pjj_messages
    ADD CONSTRAINT rcpt FOREIGN KEY (recipient) REFERENCES pjj_users(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: replace_chatid; Type: FK CONSTRAINT; Schema: chatv3; Owner: postgres
--

ALTER TABLE ONLY pjj_replaces
    ADD CONSTRAINT replace_chatid FOREIGN KEY (chat) REFERENCES pjj_chats(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: rrcpt; Type: FK CONSTRAINT; Schema: chatv3; Owner: postgres
--

ALTER TABLE ONLY pjj_messages
    ADD CONSTRAINT rrcpt FOREIGN KEY (realrecp) REFERENCES pjj_users(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: symbols_chat; Type: FK CONSTRAINT; Schema: chatv3; Owner: postgres
--

ALTER TABLE ONLY pjj_symbols
    ADD CONSTRAINT symbols_chat FOREIGN KEY (chat) REFERENCES pjj_chats(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: theme; Type: FK CONSTRAINT; Schema: chatv3; Owner: postgres
--

ALTER TABLE ONLY pjj_chats
    ADD CONSTRAINT theme FOREIGN KEY (theme) REFERENCES pjj_themes(id) ON UPDATE CASCADE ON DELETE SET NULL;


--
-- Name: uid; Type: FK CONSTRAINT; Schema: chatv3; Owner: postgres
--

ALTER TABLE ONLY pjj_ban
    ADD CONSTRAINT uid FOREIGN KEY (uid) REFERENCES pjj_users(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: uid; Type: FK CONSTRAINT; Schema: chatv3; Owner: postgres
--

ALTER TABLE ONLY pjj_log
    ADD CONSTRAINT uid FOREIGN KEY (userid) REFERENCES pjj_users(id) ON UPDATE CASCADE ON DELETE SET NULL;


--
-- Name: uid; Type: FK CONSTRAINT; Schema: chatv3; Owner: postgres
--

ALTER TABLE ONLY pjj_userassoc
    ADD CONSTRAINT uid FOREIGN KEY (id) REFERENCES pjj_users(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: uid; Type: FK CONSTRAINT; Schema: chatv3; Owner: postgres
--

ALTER TABLE ONLY pjj_userlist
    ADD CONSTRAINT uid FOREIGN KEY (userid) REFERENCES pjj_users(id) ON UPDATE CASCADE ON DELETE SET NULL;


--
-- Name: uid; Type: FK CONSTRAINT; Schema: chatv3; Owner: postgres
--

ALTER TABLE ONLY pjj_online
    ADD CONSTRAINT uid FOREIGN KEY (uid) REFERENCES pjj_users(id) ON UPDATE CASCADE ON DELETE SET NULL;


--
-- Name: userid; Type: FK CONSTRAINT; Schema: chatv3; Owner: postgres
--

ALTER TABLE ONLY pjj_factionassoc
    ADD CONSTRAINT userid FOREIGN KEY (userid) REFERENCES pjj_users(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: userid; Type: FK CONSTRAINT; Schema: chatv3; Owner: postgres
--

ALTER TABLE ONLY pjj_userbook
    ADD CONSTRAINT userid FOREIGN KEY (userid) REFERENCES pjj_users(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: userid; Type: FK CONSTRAINT; Schema: chatv3; Owner: postgres
--

ALTER TABLE ONLY pjj_userfriends
    ADD CONSTRAINT userid FOREIGN KEY (userid) REFERENCES pjj_users(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: userid; Type: FK CONSTRAINT; Schema: chatv3; Owner: postgres
--

ALTER TABLE ONLY pjj_userrecent
    ADD CONSTRAINT userid FOREIGN KEY (userid) REFERENCES pjj_users(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: userid; Type: FK CONSTRAINT; Schema: chatv3; Owner: postgres
--

ALTER TABLE ONLY pjj_icons
    ADD CONSTRAINT userid FOREIGN KEY (userid) REFERENCES pjj_users(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: DUMP TIMESTAMP; Type: DUMP TIMESTAMP; Schema: -; Owner: 
--

-- Completed on 2005-02-26 18:11:33 Romance Standard Time


--
-- PostgreSQL database dump complete
--

